package com.jasamedika.medifirst2000.entities;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity 
@Table(name="PembedahanDanInstruksi_T")
public class PembedahanDanInstruksi extends BaseTransaction{

	@Column(name = "tglPembedahan", nullable = true)
	@Caption(value = "tglPembedahan")
	private Date tglPembedahan;

	@Column(name = "selesaiJam", nullable = true)
	@Caption(value = "selesaiJam")
	private Date selesaiJam;

	@Column(name = "mulaiJam", nullable = true)
	@Caption(value = "mulaiJam")
	private Date mulaiJam;

	@Column(name = "uraianPembedahan", nullable = true)
	@Caption(value = "uraianPembedahan")
	private String uraianPembedahan;

	@Column(name = "tekananDarah", nullable = true)
	@Caption(value = "tekananDarah")
	private String tekananDarah;

	@Column(name = "nadi", nullable = true)
	@Caption(value = "nadi")
	private String nadi;

	@Column(name = "suhu", nullable = true)
	@Caption(value = "suhu")
	private String suhu;

	@Column(name = "pernapasan", nullable = true)
	@Caption(value = "pernapasan")
	private String pernapasan;

	@Column(name = "bolehMinum", nullable = true)
	@Caption(value = "bolehMinum")
	private String bolehMinum;

	@Column(name = "bolehMakan", nullable = true)
	@Caption(value = "bolehMakan")
	private String bolehMakan;

	@Column(name = "instruksiKhusus", nullable = true)
	@Caption(value = "instruksiKhusus")
	private String instruksiKhusus;
	
	//@OneToMany(cascade=CascadeType.ALL,fetch = FetchType.LAZY, mappedBy = "pembedahanDanInstruksi")
	//private Set<InfusDetail> infusDetailSet=new HashSet<InfusDetail>();

	public Date getTglPembedahan() {
		return tglPembedahan;
	}
	public void setTglPembedahan(Date tglPembedahan) {
		this.tglPembedahan = tglPembedahan;
	}
	public Date getSelesaiJam() {
		return selesaiJam;
	}
	public void setSelesaiJam(Date selesaiJam) {
		this.selesaiJam = selesaiJam;
	}
	public Date getMulaiJam() {
		return mulaiJam;
	}
	public void setMulaiJam(Date mulaiJam) {
		this.mulaiJam = mulaiJam;
	}
	public String getUraianPembedahan() {
		return uraianPembedahan;
	}
	public void setUraianPembedahan(String uraianPembedahan) {
		this.uraianPembedahan = uraianPembedahan;
	}
	public String getTekananDarah() {
		return tekananDarah;
	}
	public void setTekananDarah(String tekananDarah) {
		this.tekananDarah = tekananDarah;
	}
	public String getNadi() {
		return nadi;
	}
	public void setNadi(String nadi) {
		this.nadi = nadi;
	}
	public String getSuhu() {
		return suhu;
	}
	public void setSuhu(String suhu) {
		this.suhu = suhu;
	}
	public String getPernapasan() {
		return pernapasan;
	}
	public void setPernapasan(String pernapasan) {
		this.pernapasan = pernapasan;
	}
	public String getBolehMinum() {
		return bolehMinum;
	}
	public void setBolehMinum(String bolehMinum) {
		this.bolehMinum = bolehMinum;
	}
	public String getBolehMakan() {
		return bolehMakan;
	}
	public void setBolehMakan(String bolehMakan) {
		this.bolehMakan = bolehMakan;
	}
	public String getInstruksiKhusus() {
		return instruksiKhusus;
	}
	public void setInstruksiKhusus(String instruksiKhusus) {
		this.instruksiKhusus = instruksiKhusus;
	}
	//public Set<InfusDetail> getInfusDetailSet() {
	//	return infusDetailSet;
	//}
	//public void setInfusDetailSet(Set<InfusDetail> infusDetailSet) {
	//	this.infusDetailSet = infusDetailSet;
	//}
	
}
